#227 PostgreSQL support broken in 1.3.6

PHP_error
closed
nobody
Postgresql (18)
8
2012-10-11
2003-12-04
Anonymous
No

PostgreSQL support is broken in 1.3.6 because of a very
simple mistake.

In lib/WikiDb/backend/pgsql.php, there are two extra,
incorrect definitions of the methods _sql_match_clause
and _fullsearch_sql_match_clause.

Remove the two erroneus (non-postgresql specific)
functions which are towards the bottom of the file, and
everything works fine.

Niall O' Higgins
- njo@sig11.com

Discussion

  • Joseph (Joby) Walker

    Logged In: YES
    user_id=171834

    The problem was I introduced a duplicate set of function
    definitions to solve an already solved issue. My bad.

    jbw

     
  • Carsten Klapp

    Carsten Klapp - 2003-12-10

    Logged In: YES
    user_id=369655

    Thanks for reporting this, the fix has been checked into CVS on
    2003-12-5 for 1.3.7pre.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks